Package Details: neo4j-community 2026.01.3-1

Git Clone URL: https://aur.archlinux.org/neo4j-community.git (read-only, click to copy)
Package Base: neo4j-community
Description: A fully transactional graph database implemented in Java
Upstream URL: https://github.com/neo4j/neo4j
Licenses: GPL-3.0-only
Conflicts: neo4j-enterprise
Submitter: tucho
Maintainer: noureddinex
Last Packager: noureddinex
Votes: 65
Popularity: 0.025736
First Submitted: 2015-12-30 05:23 (UTC)
Last Updated: 2026-02-07 12:13 (UTC)

Dependencies (3)

Sources (5)

Latest Comments

1 2 3 4 5 6 .. 11 Next › Last »

noureddinex commented on 2026-02-04 19:33 (UTC)

@r4um I will look into it, thanks for reporting

r4um commented on 2026-01-30 03:42 (UTC) (edited on 2026-01-30 03:43 (UTC) by r4um)

2025.12.1-1 Build fails for me

[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time:  3.166 s
[INFO] Finished at: 2026-01-29T09:46:15+05:30
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.14.1:compile (default-compile) on project annotations: Fatal error compiling: error: release version 21 not supported -> [Help 1]
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoExecutionException
[ERROR]
[ERROR] After correcting the problems, you can resume the build with the command
[ERROR]   mvn <args> -rf :annotations
==> ERROR: A failure occurred in build().
    Aborting...

Using openjdk 21

›› java -version
openjdk version "21.0.10" 2026-01-20
OpenJDK Runtime Environment (build 21.0.10+7)
OpenJDK 64-Bit Server VM (build 21.0.10+7, mixed mode, sharing)

bader commented on 2024-12-02 06:33 (UTC) (edited on 2024-12-02 06:34 (UTC) by bader)

For anyone that needs neo4j-browser plugin I created a hook with a script to updated it and install it when the package neo4j-community updates.

The hook located at /etc/pacman.d/hooks/neo4j-browser.hook

[Trigger]
Operation = Install
Operation = Upgrade
Type = Package
Target = neo4j-community

[Action]
Description = Update Neo4j Browser JAR for neo4j-community
When = PostTransaction
Exec = /usr/local/bin/update-neo4j-browser

The script located at /usr/local/bin/update-neo4j-browser

#!/bin/sh

set -e # Exit immediately on error

# Get the Neo4j version, trimming unnecessary spaces or newlines
NEO4J_VERSION=$(neo4j --version 2>/dev/null) || {
    echo "[!] Failed to determine Neo4j version. Ensure Neo4j is installed and accessible."
    exit 1
}

# Construct the download URL
DOWNLOAD_URL="https://repo.maven.apache.org/maven2/org/neo4j/client/neo4j-browser/${NEO4J_VERSION}/neo4j-browser-${NEO4J_VERSION}.jar"

# Set the plugins directory and destination file
PLUGIN_DIR="/var/lib/neo4j/plugins"
DEST_FILE="${PLUGIN_DIR}/neo4j-browser-${NEO4J_VERSION}.jar"

# Create the plugins directory if it doesn't exist
if [ ! -d "$PLUGIN_DIR" ]; then
    echo "[*] Creating plugins directory at $PLUGIN_DIR"
    mkdir -p "$PLUGIN_DIR"
    chown -R neo4j:neo4j "$PLUGIN_DIR"
    chmod -R 755 "$PLUGIN_DIR"
fi

# Download the Neo4j Browser JAR file
echo "[*] Downloading Neo4j Browser version ${NEO4J_VERSION} from ${DOWNLOAD_URL}..."
if ! curl -fsSL -o "$DEST_FILE" "$DOWNLOAD_URL"; then
    echo "Failed to download Neo4j Browser JAR from ${DOWNLOAD_URL}."
    exit 1
fi

# Set the correct permissions for the JAR file
echo "[*] Setting permissions for $DEST_FILE..."
chown neo4j:neo4j "$DEST_FILE"
chmod 755 "$DEST_FILE"

echo "[*] Neo4j Browser ${NEO4J_VERSION} installed successfully."

Remember that the script needs sudo if you run it manually else the download will fail. This is not an issue when triggered by Pacman/yay.

After starting/restarting the service sudo systemctl restart neo4j.service navigate to http://localhost:7474

bader commented on 2024-12-02 06:04 (UTC)

for anyone who needs to download neo4j-browser you can get it from the maven repo:

https://repo.maven.apache.org/maven2/org/neo4j/client/neo4j-browser/5.24.0/

bader commented on 2024-12-01 11:35 (UTC)

Please add neo4j-browser to this package. It doesn't make sense to install it manually.

tjcim commented on 2024-05-02 12:52 (UTC)

Can we get neo4j-browser added to this? It seems that with the newer versions the browser is in a separate repo. No idea how hard that would be.

tijko commented on 2024-03-09 03:24 (UTC)

@hainkind I needed to do the same. Took me a second but I definitely think its worth mentioning for others.

hainkind commented on 2024-03-08 19:27 (UTC)

i don't know if this is obvious to everyone but i had to switch my system java default to openjdk 17 via 'sudo archlinux-java set java-17-openjdk'. compile failed with a default version of 21.

tjcim commented on 2024-03-02 14:37 (UTC)

@carsme - No problem. Thank you for updating it so quickly.

carsme commented on 2024-03-01 12:55 (UTC)

@tjcim My bad, should be fixed in 5.17.0-2. Thanks for reporting!